Upstream information

CVE-2017-8373 at MITRE

Description

The mad_layer_III function in layer3.c in Underbit MAD libmad 0.15.1b allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted audio file.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3.1
SUSE Bugzilla entry: 1036968 [REOPENED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • libmad-devel >= 0.15.1b-4.1
  • libmad0 >= 0.15.1b-4.1
  • libmad0-32bit >= 0.15.1b-4.1
Patchnames:
openSUSE Tumbleweed GA libmad-devel-0.15.1b-4.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 libmad Affected
SUSE Enterprise Storage 6 libmad Affected
SUSE Linux Enterprise Desktop 15 SP2 libmad Affected
SUSE Linux Enterprise Desktop 15 SP3 libmad Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS libmad Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS libmad Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libmad Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 libmad Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libmad Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libmad Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libmad Affected
SUSE Linux Enterprise Server 15 ESPOS libmad Affected
SUSE Linux Enterprise Server 15 LTSS libmad Affected
SUSE Linux Enterprise Server 15 SP1 LTSS libmad Affected
SUSE Linux Enterprise Server 15 SP2 libmad Affected
SUSE Linux Enterprise Server 15 SP3 libmad Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libmad Affected
SUSE Linux Enterprise Server for SAP Applications 15 libmad Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libmad Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libmad Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libmad Affected
SUSE Linux Enterprise Storage 7 libmad Affected
SUSE Linux Enterprise Storage 7.1 libmad Affected
SUSE Manager Proxy 4.0 libmad Unsupported
SUSE Manager Proxy 4.1 libmad Affected
SUSE Manager Proxy 4.2 libmad Affected
SUSE Manager Retail Branch Server 4.0 libmad Unsupported
SUSE Manager Retail Branch Server 4.1 libmad Affected
SUSE Manager Retail Branch Server 4.2 libmad Affected
SUSE Manager Server 4.0 libmad Unsupported
SUSE Manager Server 4.1 libmad Affected
SUSE Manager Server 4.2 libmad Affected